# audio_chat

A Flutter project to to replicate audio chat functionality as seen in popular instant messaging applications.

## Dependencies

The project makes use of the following open source packages

- [just_audio](https://pub.dev/packages/just_audio) - To interact with audio files from application document storage.
- [font_awesome_flutter](https://pub.dev/packages/font_awesome_flutter) - Font Awesome provides a great set of Icon to use in your application.
- [permission_handler](https://pub.dev/packages/permission_handler) - A package to handle audio/storage permissions from the user.
- [path_provider](https://pub.dev/packages/path_provider) - path_provider provides path to application document and cache storage directories to store application specific data.
- [record](https://pub.dev/packages/record) - Audio recorder from microphone to a given file path with multiple codecs, bit rate and sampling rate options.
- [flutter_vibrate](https://pub.dev/packages/flutter_vibrate) - A simple plugin to control haptic feedback on iOS and android.
- [lottie](https://pub.dev/packages/lottie) - To add lottie animation to the application.

## Build and run locally

Clone the repo 
 
```
git clone https://github.com/thecodepapaya/audio-chat.git
```

Build and run locally 
```
cd audio_chat
flutter run
```
## Gif
|Record|Lock|Cancel|
|---|---|---|
|<img src="https://user-images.githubusercontent.com/42690541/134801914-712ffb9b-63fd-4b42-b892-62bc278f18b0.gif" height=400/>|<img src="https://user-images.githubusercontent.com/42690541/134801915-d5a00d10-35ee-4fb4-8a48-33e441146e02.gif" height=400/>|<img src="https://user-images.githubusercontent.com/42690541/134801920-da7402bf-e97d-4153-9123-92e859d09fb4.gif" height=400/>|

## Releases

Checkout the [releases section](https://github.com/thecodepapaya/audio-chat/releases/latest) for the latest APK from the code.


